# socket_send

(PHP 4 >= 4.1.0, PHP 5, PHP 7)

socket_send — Sends data to a connected socket

### Description

socket_send ( resource `$socket` , string `$buf` , int `$len` , int `$flags` ) : int

The function socket_send() sends `len` bytes to the socket `socket` from `buf`.

### Parameters

`socket`

  A valid socket resource created with socket_create() or socket_accept().

`buf`

  A buffer containing the data that will be sent to the remote host.

`len`

  The number of bytes that will be sent to the remote host from `buf`.

`flags`

  The value of `flags` can be any combination of the following flags, joined with the binary OR (|) operator.

  Possible values for `flags`
  `MSG_OOB` | Send OOB (out-of-band) data.
  `MSG_EOR` | Indicate a record mark. The sent data completes the record.
  `MSG_EOF` | Close the sender side of the socket and include an appropriate notification of this at the end of the sent data. The sent data completes the transaction.
  `MSG_DONTROUTE` | Bypass routing, use direct interface.

### Return Values

socket_send() returns the number of bytes sent, or `FALSE` on error.

### See Also

- socket_sendto() - Sends a message to a socket, whether it is connected or not